Bug 1460738 - Unable to install python2-ironicclient
Unable to install python2-ironicclient
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-ironicclient (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Angus Thomas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-12 10:48 EDT by greg.hellings
Modified: 2017-11-17 09:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-17 09:05:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description greg.hellings 2017-06-12 10:48:49 EDT
Description of problem:
When attempting to install python2-ironicclient, dependency version mismatches arise.


Version-Release number of selected component (if applicable): 1.11.1-1.fc27


How reproducible:
Always

Steps to Reproduce:
1. dnf install python2-ironicclient

Actual results:
Error: Package: python2-ironicclient-1.11.1-1.fc27.noarch (build)
           Requires: python-openstackclient >= 3.3.0
           Installing: python-openstackclient-3.2.0-2.fc26.noarch (build)
               python-openstackclient = 3.2.0-2.fc26


Expected results:
Correct installation of python2-ironicclient is achieved

Additional info:
This error was encountered while trying to mockbuild another package that depends on ironicclient
Comment 1 greg.hellings 2017-07-11 13:54:40 EDT
This error persists in Rawhide. Is there any plan to fix it?
Comment 2 Jan Kurik 2017-08-15 05:20:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 3 greg.hellings 2017-11-17 09:05:30 EST
This appears to have been silently fixed.

Note You need to log in before you can comment on or make changes to this bug.